<!-- Please note that most or all of the HTMl, CSS and JavaScript in this page is very similar to the index page of this website, and the index page has been heavily commented. Any unique code on this page will be commented -->
<!DOCTYPE html>
<html>
	<head>
		<title>IT For Education</title>
		<meta charset="UTF-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
		<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Lato">
		<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Montserrat">
		<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
		<link rel="stylesheet" href="https://www.w3schools.com/lib/w3-colors-camo.css">
		<link rel="stylesheet" href="https://www.w3schools.com/lib/w3-colors-2017.css">
		<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.0.10/css/all.css">
		<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito">
		<style>
		body,h1,h2,h3,h4,h5,h6 {font-family: "Lato", sans-serif}
		.w3-bar,h1,button {font-family: "Montserrat", sans-serif}
		#map { /* Sets the map width to 100% of it's container, 400px high and sets the background colour to grey */
			width: 100%;
			height: 400px;
			background-color: grey;
		}
		</style>
	</head>

	<body>

		<!-- Navbar -->
		<div class="w3-top">
			<div class="w3-bar w3-2017-hazelnut w3-card w3-left-align w3-large">
				<a class="w3-bar-item w3-button w3-hide-medium w3-hide-large w3-right w3-padding-large w3-hover-white w3-large w3-red" href="javascript:void(0);" onclick="smallNav()" title="Toggle Navigation Menu"><i class="fa fa-bars"></i></a>
				<a href="index.html" class="w3-bar-item w3-button w3-hide-small w3-padding-large w3-hover-white">Home</a>
				<a href="who.html" class="w3-bar-item w3-button w3-hide-small w3-padding-large w3-hover-white">Who We Are</a>
				<a href="donate.html" class="w3-bar-item w3-button w3-hide-small w3-padding-large w3-hover-white">Donate Here</a>
				<a href="contact.html" class="w3-bar-item w3-button w3-padding-large w3-white">Contact Us</a>
				<a href="login.html" class="w3-bar-item w3-button w3-hide-small w3-padding-large w3-hover-white">Login</a>
			</div>

			<!-- Navbar on small screens -->
			<div id="smallNav" class="w3-bar-block w3-white w3-hide w3-hide-large w3-hide-medium w3-large">
				<a href="index.html" class="w3-bar-item w3-button w3-padding-large">Home</a>
				<a href="who.html" class="w3-bar-item w3-button w3-padding-large">Who We Are</a>
				<a href="donate.html" class="w3-bar-item w3-button w3-padding-large">Donate Here</a>
				<a href="contact.html" class="w3-bar-item w3-button w3-padding-large">Contact Us</a>
				<a href="login.html" class="w3-bar-item w3-button w3-padding-large">Login</a>
			</div>
		</div>

		<!-- Header -->
		<header class="w3-container w3-2017-pale-dogwood w3-center" style="padding:60px 16px">
			<h1 class="w3-margin w3-jumbo">IT For Education</h1>
			<p class="w3-xlarge">Providing IT Solutions To Those In Need</p>
		</header>

		<!-- First Grid -->
		<div class="w3-row-padding w3-padding-64 w3-container">
			<div class="w3-content">
				<div class="w3-half">
					<h1>Contact Info</h1>
					<h3>Address:</h3>
					<h5>Unit 21a<br>Burraton Industrial Estate<br>Saltash<br>PL12 4HJ</h5>
					<h3>Telephone Numbers:</h3>
					<h5>Office: 01752 286082<br>Fax: 01752 235594</h5>
					<h3>Email Address:</h3>
					<h5>info@itforeducation.co.uk</h5>
					<h3>
						<a href="https://www.facebook.com/"><i class="fab fa-facebook-square w3-margin-right w3-xlarge w3-text-blue"></i></a> <!-- "fa-facebook-square" is a reference to the Font Awesome icon library -->
						Find us on Facebook
					</h3>
				</div>
							

				<div class="w3-half">
					<form class="w3-container w3-card-4 w3-2017-pale-dogwood"> <!-- "w3-card" encloses the element in a shadowed, coloured box -->
						<h2>Want us to get in touch?</h2>
						<p>Fill out your details below and we will get back to you as soon as possible.</p>
						<p><label>Name</label> <!-- The "label" tag adds a label to the input boxes -->
						<input class="w3-input w3-border" name="name" type="text"></p> <!-- Defines a text input box -->
						<p><label>Email Address</label>
						<input class="w3-input w3-border" name="email" type="text"></p>
						<p><label>Telephone Number</label>
						<input class="w3-input w3-border" name="number" type="text"></p>
						<p><label>What would you like to speak to us about?</label>
						<select class="w3-select w3-border" name="option"> <!-- Defines a drop down input type -->
							<option value="" disabled selected></option> <!-- Blank option that is not selectable to make the box look clean on page load  -->
							<option value="1">Donating</option> <!-- Below are the three options in the drop down input box -->
							<option value="2">Volunteering</option>
							<option value="3">Charitable Assistance</option>
						</select>
						<p><button class="w3-btn w3-2017-hazelnut">Submit</button></p>
					</form>
				</div>
			</div>
		</div>
	
	<!-- Second Grid -->
		<div class="w3-row-padding w3-container">
			<div class="w3-content">
				<div class="w3-rest">
					<h1 class="w3-center">Find us on the map</h1> <!-- Beginning of the map element -->
					<div id="map"></div> <!-- This div contains the map and the id references the CSS in the head -->
					<script> <!-- The following script is the Google Maps integration -->
						function initMap() { <!-- Defines the function -->
						var home = {lat: 50.416878, lng: -4.240739}; <!-- Sets the latitude and longitude to the variable "home" -->
						var map = new google.maps.Map(document.getElementById('map'), { <!-- sets the maps element id variable "map" -->
						zoom: 13, <!-- Sets the maps zoom level -->
						center: home <!-- Sets the centre of the map to the variable "home" -->
						});
						var marker = new google.maps.Marker({ <!-- Defines a new marker on the map -->
						position: home, <!-- Sets the markers position on the map to the variable "home" -->
						map: map
						});
						}
					</script>
					<script async defer
						src="https://maps.googleapis.com/maps/api/js?key=AIzaSyBiwjVz0HKmQ_c-KzrgwUkqw9l6X-78Sjo&callback=initMap"> <!-- This line contains the API key as provided by Google -->
					</script>
				</div>	

		<!-- Footer -->
		<footer class="w3-container w3-padding-16 w3-center w3-opacity">  
			<p>Powered by <a href="https://www.w3schools.com/w3css/default.asp" target="_blank">w3.css</a></p>
		</footer>

		<script>
		function smallNav() {
			var x = document.getElementById("smallNav");
			if (x.className.indexOf("w3-show") == -1) {
				x.className += " w3-show";
			} else { 
				x.className = x.className.replace(" w3-show", "");
			}
		}
		</script>

</html>
